OpenNMS API 1.2.9

## org.opennms.netmgt.mock
Class MockEventIpcManager

    java.lang.Object
      org.opennms.netmgt.mock.MockEventIpcManager

All Implemented Interfaces:
  EventIpcManager

public class MockEventIpcManager
extends java.lang.Object
implements EventIpcManager

Nested Class Summary
`(package private) static class` `MockEventIpcManager.ListenerKeeper`

Field Summary
`private EventAnticipator` `m_anticipator`
`private EventWriter` `m_eventWriter`
`private java.util.List` `m_listeners`
`private int` `m_pendingEvents`

Constructor Summary
`MockEventIpcManager()`

Method Summary
`void` `addEventListener(EventListener listener)` Registers an event listener that is interested in all events
`void` `addEventListener(EventListener listener, java.util.List ueilist)` Registers an event listener interested in the UEIs in the passed list
`void` `addEventListener(EventListener listener, java.lang.String uei)` Registers an event listener interested in the passed UEI
`void` `broadcastNow(Event event)` Called by eventd to send an event to all interested listeners
`void` `finishProcessingEvents()`
`EventAnticipator` `getEventAnticipator()`
`void` `removeEventListener(EventListener listener)` Removes a registered event listener
`void` `removeEventListener(EventListener listener, java.util.List ueiList)` Removes a registered event listener - the UEI list indicates the list of events the listener is no more interested in
`void` `removeEventListener(EventListener listener, java.lang.String uei)` Removes a registered event listener - the UEI indicates an event the listener is no more interested in
`void` `sendEventToListeners(Event event)`
`void` `sendNow(Event event)` Called by a service to send an event to eventd
`void` `sendNow(Log eventLog)` Called by a service to send a set of events to eventd
`void` `setEventAnticipator(EventAnticipator anticipator)`
`void` `setEventWriter(EventWriter eventWriter)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_anticipator

    private EventAnticipator m_anticipator

### m_eventWriter

    private EventWriter m_eventWriter

### m_listeners

    private java.util.List m_listeners

### m_pendingEvents

    private int m_pendingEvents

Constructor Detail

### MockEventIpcManager

    public MockEventIpcManager()

Method Detail

### addEventListener

    public void addEventListener(EventListener listener)

  Description copied from interface: `EventIpcManager`
  Registers an event listener that is interested in all events

  Specified by:
    `addEventListener` in interface `EventIpcManager`

### addEventListener

    public void addEventListener(EventListener listener,
                                 java.util.List ueilist)

  Description copied from interface: `EventIpcManager`
  Registers an event listener interested in the UEIs in the passed list

  Specified by:
    `addEventListener` in interface `EventIpcManager`

### addEventListener

    public void addEventListener(EventListener listener,
                                 java.lang.String uei)

  Description copied from interface: `EventIpcManager`
  Registers an event listener interested in the passed UEI

  Specified by:
    `addEventListener` in interface `EventIpcManager`

### broadcastNow

    public void broadcastNow(Event event)

  Description copied from interface: `EventIpcManager`
  Called by eventd to send an event to all interested listeners

  Specified by:
    `broadcastNow` in interface `EventIpcManager`

### setEventWriter

    public void setEventWriter(EventWriter eventWriter)

### getEventAnticipator

    public EventAnticipator getEventAnticipator()

### setEventAnticipator

    public void setEventAnticipator(EventAnticipator anticipator)

### removeEventListener

    public void removeEventListener(EventListener listener)

  Description copied from interface: `EventIpcManager`
  Removes a registered event listener

  Specified by:
    `removeEventListener` in interface `EventIpcManager`

### removeEventListener

    public void removeEventListener(EventListener listener,
                                    java.util.List ueiList)

  Description copied from interface: `EventIpcManager`
  Removes a registered event listener - the UEI list indicates the list of events the listener is no more interested in

  Specified by:
    `removeEventListener` in interface `EventIpcManager`

### removeEventListener

    public void removeEventListener(EventListener listener,
                                    java.lang.String uei)

  Description copied from interface: `EventIpcManager`
  Removes a registered event listener - the UEI indicates an event the listener is no more interested in

  Specified by:
    `removeEventListener` in interface `EventIpcManager`

### sendEventToListeners

    public void sendEventToListeners(Event event)

  Parameters:
    `event` -

### sendNow

    public void sendNow(Event event)

  Description copied from interface: `EventIpcManager`
  Called by a service to send an event to eventd

  Specified by:
    `sendNow` in interface `EventIpcManager`

### sendNow

    public void sendNow(Log eventLog)

  Description copied from interface: `EventIpcManager`
  Called by a service to send a set of events to eventd

  Specified by:
    `sendNow` in interface `EventIpcManager`

### finishProcessingEvents

    public void finishProcessingEvents()

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.